function CollisionScene_h(h)
{
	this.handle = h;

	this.Test = function(boundingShape)
	{
		return fsCollisionScene_Test(this.handle, boundingShape);
	}

	this.Solve = function(boundingShape, oldPosition)
	{
		return fsCollisionScene_Solve(this.handle, boundingShape, oldPosition);
	}

	this.Delete = function()
	{
		return fsCollisionScene_Delete(this.handle);
	}

}
function CollisionScene(sceneGraph)
{
	return new CollisionScene_h(fsCollisionScene_Create(sceneGraph));
}
